Bug 592049 - FC-12 Kernel messages INFO: task * blocked for more than 120 seconds
FC-12 Kernel messages INFO: task * blocked for more than 120 seconds
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 598151 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 14:30 EDT by Muzi
Modified: 2011-04-07 09:08 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from last kernel crash (121.61 KB, text/plain)
2010-06-28 05:24 EDT, Torbjørn Lindahl
no flags Details

  None (edit)
Description Muzi 2010-05-13 14:30:52 EDT
Description of problem:Many logs of difference processes appeared in kernel messages to block more than 120 seconds.


Version-Release number of selected component (if applicable): 2.6.32.11-99.fc12.i686


How reproducible:
Not find any clue how to reproduce.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I found below kernel logs messages which stuck processes more than 120 seconds on FC-12 box (2.6.32.11-99.fc12.i686). 

10 Time(s): "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
 1 Time(s): 00000000 00000000 000860d4 de9872c0 c1808140 00000000 de17feac de17fe54
 1 Time(s): 00000000 00000000 000860db dd4072c0 c1808140 c3fd7280 c1402740 de1f1d84
 1 Time(s): 00000000 00000000 000860db de8f4c80 c1808140 c74f6a40 c1401ff0 df3d9c70
 1 Time(s): 00000000 00000000 000860e7 dd6f8cc0 c1808140 c616c880 c1401b88 dfbbdc78
 1 Time(s): 00000000 00000000 000860e8 c1c572c0 00200246 dac6e980 000080d0 c93c5e8c
 1 Time(s): 00000000 c1ea2d80 000860e8 c1c51980 00200246 d4844980 000080d0 de5fde8c
 1 Time(s): 00000000 c1f6d500 000860e8 c1de3fc0 00200246 d2ec1480 000080d0 c32c3e8c
 1 Time(s): 00000000 c1f6e680 000860e8 c1c53fc0 00200246 d4844380 000080d0 c2cafe8c
 1 Time(s): 00000000 c1f6ea00 000860e8 c1de72c0 00200246 d4844d80 000080d0 c3349e8c
 1 Time(s): 00000000 c1f6ed80 000860e8 c1fbbfc0 00200246 d4844900 000080d0 d2a3de8c
 1 Time(s): AutoExportExe D 000860db     0  2302   2301 0x00000000
 10 Time(s): Call Trace:
  1 Time(s): INFO: task kjournald:685 blocked for more than 120 seconds.
 1 Time(s): INFO: task mysqld:10562 blocked for more than 120 seconds.
 1 Time(s): INFO: task named:25245 blocked for more than 120 seconds.
 9 Time(s): [<c040365c>] syscall_call+0x7/0xb
 1 Time(s): [<c04041c7>] kernel_thread_helper+0x7/0x10
 1 Time(s): [<c0447213>] ? lock_timer_base+0x26/0x45
 1 Time(s): [<c044741a>] ? try_to_del_timer_sync+0x5e/0x66
 1 Time(s): [<c04540d5>] ? kthread+0x0/0x69
 1 Time(s): [<c0454139>] kthread+0x64/0x69
 4 Time(s): [<c0454371>] ? autoremove_wake_function+0x0/0x34
 4 Time(s): [<c04543a5>] ? wake_bit_function+0x0/0x3c
 2 Time(s): [<c045b8b7>] ? ktime_get_ts+0x98/0xa2
 2 Time(s): [<c04a6494>] generic_file_buffered_write+0x118/0x21f
 2 Time(s): [<c04a699e>] __generic_file_aio_write+0x258/0x289
 2 Time(s): [<c04a6a2b>] generic_file_aio_write+0x5c/0xa3
 1 Time(s): [<c04ac646>] do_invalidatepage+0x1e/0x21
 1 Time(s): [<c04acb02>] truncate_inode_page+0x4f/0x7e
 1 Time(s): [<c04acbde>] truncate_inode_pages_range+0xad/0x227
 1 Time(s): [<c04acd69>] truncate_inode_pages+0x11/0x15
 6 Time(s): [<c04bb2ea>] ? __do_fault+0x358/0x388
 6 Time(s): [<c04d66dd>] do_sys_open+0x4d/0xe4
 6 Time(s): [<c04d67c0>] sys_open+0x23/0x2b
 2 Time(s): [<c04d8769>] ? do_sync_write+0x0/0xe9
 2 Time(s): [<c04d8817>] do_sync_write+0xae/0xe9
 2 Time(s): [<c04d89d8>] ? rw_verify_area+0x9d/0xc0
 2 Time(s): [<c04d8da7>] vfs_write+0x85/0xe4
 1 Time(s): [<c04d8e4e>] sys_pwrite64+0x48/0x5e
 1 Time(s): [<c04d8ea4>] sys_write+0x40/0x62
 1 Time(s): [<c04e216f>] ? __link_path_walk+0x5b3/0x5b8
 6 Time(s): [<c04e3772>] do_filp_open+0x1ac/0x6e7
 1 Time(s): [<c04e3d1b>] ? getname+0x20/0xbe
 1 Time(s): [<c04e40b0>] do_unlinkat+0xba/0xfa
 1 Time(s): [<c04e4105>] sys_unlink+0x15/0x17
 1 Time(s): [<c04ea9fc>] iput+0x50/0x53
 1 Time(s): [<c04eb5fb>] generic_delete_inode+0xc2/0x133
 1 Time(s): [<c04eb682>] generic_drop_inode+0x16/0x51
 6 Time(s): [<c04ecab3>] ? alloc_fd+0x58/0xbe
 1 Time(s): [<c04f9595>] __wait_on_buffer+0x1e/0x21
 8 Time(s): [<c04f9620>] ? sync_buffer+0x0/0x3c
 4 Time(s): [<c04f9658>] sync_buffer+0x38/0x3c
 3 Time(s): [<c04f97a9>] __lock_buffer+0x24/0x27
 2 Time(s): [<c04f97df>] lock_buffer+0x33/0x36
 2 Time(s): [<c04f983d>] sync_dirty_buffer+0x29/0x86
 1 Time(s): [<c04fac0a>] ? block_invalidatepage+0x0/0x8e
 1 Time(s): [<c05020ef>] ? fsnotify_clear_marks_by_inode+0x21/0xa2
 2 Time(s): [<c0527249>] walk_page_buffers+0x4d/0x6b
 1 Time(s): [<c0527506>] ? brelse+0x11/0x13
 1 Time(s): [<c0528bfa>] ext3_invalidatepage+0x34/0x37
 2 Time(s): [<c0528cd3>] ext3_journal_dirty_data+0x14/0x36
 2 Time(s): [<c0528cf5>] ? journal_dirty_data_fn+0x0/0x21
 2 Time(s): [<c0528d0f>] journal_dirty_data_fn+0x1a/0x21
 2 Time(s): [<c052a448>] ext3_ordered_write_end+0x76/0x11d
 2 Time(s): [<c052a6a7>] ? ext3_delete_inode+0x0/0xc5
 1 Time(s): [<c052a6c2>] ext3_delete_inode+0x1b/0xc5
 1 Time(s): [<c0560caa>] lock_buffer+0x33/0x36
 1 Time(s): [<c0560d1b>] journal_invalidatepage+0x6e/0x1fa
 1 Time(s): [<c056119f>] ? journal_stop+0x206/0x211
 2 Time(s): [<c05613b4>] journal_dirty_data+0xb0/0x171
 1 Time(s): [<c0562062>] wait_on_buffer+0x34/0x37
 1 Time(s): [<c0562522>] journal_commit_transaction+0x41d/0xc57
 1 Time(s): [<c0565369>] ? kjournald+0x0/0x1cc
 1 Time(s): [<c0565421>] kjournald+0xb8/0x1cc
 2 Time(s): [<c05807eb>] ? security_file_permission+0x14/0x16
 1 Time(s): [<c0587683>] ? dentry_has_perm+0x4c/0x65
 4 Time(s): [<c07922f7>] io_schedule+0x37/0x4e
 3 Time(s): [<c0792699>] __wait_on_bit_lock+0x39/0x75
 3 Time(s): [<c0792775>] out_of_line_wait_on_bit_lock+0xa0/0xa8
 1 Time(s): [<c07927b6>] __wait_on_bit+0x39/0x60
 1 Time(s): [<c079287d>] out_of_line_wait_on_bit+0xa0/0xa8
 6 Time(s): [<c07929d6>] __mutex_lock_common+0xdc/0x12b
 6 Time(s): [<c0792a3c>] __mutex_lock_slowpath+0x17/0x1a
 6 Time(s): [<c0792b2b>] ? mutex_lock+0x30/0x3e
 6 Time(s): [<c0792b2b>] mutex_lock+0x30/0x3e
 7 Time(s): [<c07954b8>] ? do_page_fault+0x272/0x29f
 
etc etc

I not find the clue, why its orginated ?, its looking some kernel bug. As this is the first time i see that messages in kerenl logs of FC-12 2.6.32.11-99.fc12.i686. 

Kindly suggest about these messages, its looking some kernel processing stuck.

Thanks
Muzi
Comment 1 Vedran Miletić 2010-05-24 15:44:40 EDT
Fixing version.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Muzi 2010-06-04 09:36:56 EDT
Hi

Any approximate time how it will be resolve, i am facing it again today. Thanks for your reply & comments.

Thanks
Muzi
Comment 3 Bill C. Riemers 2010-06-16 16:40:09 EDT
Same problem here.  It seems to occur regularly when rsync is writing to an NFS mounted filesystem:

INFO: task rsync:6738 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
rsync         D 0000000000000000     0  6738   6726 0x00000080
 ffff8800b39519e8 0000000000000086 0000000000000000 0000000000000000
 ffff8800b3951998 ffffffff810106db ffff8800b3951fd8 ffff8800b3951fd8
 ffff8801061a83d8 000000000000f980 0000000000015740 ffff8801061a83d8
Call Trace:
 [<ffffffff810106db>] ? __switch_to+0x13e/0x22d
 [<ffffffffa0d4854b>] ? nfs_wait_bit_uninterruptible+0x0/0x12 [nfs]
 [<ffffffffa0d4854b>] ? nfs_wait_bit_uninterruptible+0x0/0x12 [nfs]
 [<ffffffff81454c1d>] io_schedule+0x43/0x5d
 [<ffffffffa0d48559>] nfs_wait_bit_uninterruptible+0xe/0x12 [nfs]
 [<ffffffff81455170>] __wait_on_bit+0x48/0x7b
 [<ffffffff81455211>] out_of_line_wait_on_bit+0x6e/0x79
 [<ffffffffa0d4854b>] ? nfs_wait_bit_uninterruptible+0x0/0x12 [nfs]
 [<ffffffff810748c4>] ? wake_bit_function+0x0/0x33
 [<ffffffff810d6187>] ? lock_page+0x29/0x41
 [<ffffffffa0d48549>] nfs_wait_on_request+0x28/0x2a [nfs]
 [<ffffffffa0d4ceb4>] nfs_updatepage+0x17c/0x44e [nfs]
 [<ffffffffa0d3f286>] nfs_write_end+0x108/0x133 [nfs]
 [<ffffffff810d6fed>] generic_file_buffered_write+0x175/0x28e
 [<ffffffff810d74c4>] __generic_file_aio_write+0x251/0x286
 [<ffffffff813a3dc2>] ? __sock_recvmsg+0x71/0x7e
 [<ffffffff810d755c>] generic_file_aio_write+0x63/0xaf
 [<ffffffffa0d3fec7>] nfs_file_write+0x104/0x180 [nfs]
 [<ffffffff8111b388>] do_sync_write+0xe8/0x125
 [<ffffffff8107488b>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff811ef37e>] ? selinux_file_permission+0x5c/0xb3
 [<ffffffff811e571d>] ? security_file_permission+0x16/0x18
 [<ffffffff8111b94c>] vfs_write+0xae/0x10b
 [<ffffffff8111ba69>] sys_write+0x4a/0x6e
 [<ffffffff81011d32>] system_call_fastpath+0x16/0x1b
INFO: task kswapd0:50 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
kswapd0       D 0000000000000000     0    50      2 0x00000000
 ffff8801b59af750 0000000000000046 0000000000000000 ffffffff81017d69
 ffff8801b59af6c0 ffffffff8107bb77 ffff8801b59affd8 ffff8801b59affd8
 ffff8801b938b298 000000000000f980 0000000000015740 ffff8801b938b298
Call Trace:
 [<ffffffff81017d69>] ? read_tsc+0x9/0x1b
 [<ffffffff8107bb77>] ? timekeeping_get_ns+0x1b/0x3d
 [<ffffffffa0d4854b>] ? nfs_wait_bit_uninterruptible+0x0/0x12 [nfs]
 [<ffffffffa0d4854b>] ? nfs_wait_bit_uninterruptible+0x0/0x12 [nfs]
 [<ffffffff81454c1d>] io_schedule+0x43/0x5d
 [<ffffffffa0d48559>] nfs_wait_bit_uninterruptible+0xe/0x12 [nfs]
 [<ffffffff81455170>] __wait_on_bit+0x48/0x7b
 [<ffffffff8122a4cf>] ? __lookup_tag+0xbd/0x12d
 [<ffffffff81455211>] out_of_line_wait_on_bit+0x6e/0x79
 [<ffffffffa0d4854b>] ? nfs_wait_bit_uninterruptible+0x0/0x12 [nfs]
 [<ffffffff810748c4>] ? wake_bit_function+0x0/0x33
 [<ffffffffa0d48549>] nfs_wait_on_request+0x28/0x2a [nfs]
 [<ffffffffa0d4cb4d>] nfs_sync_mapping_wait+0xf6/0x21a [nfs]
 [<ffffffffa0d4cd08>] nfs_wb_page+0x97/0xc7 [nfs]
 [<ffffffffa0d3f065>] nfs_release_page+0x4a/0x64 [nfs]
 [<ffffffff810d564e>] try_to_release_page+0x34/0x3d
 [<ffffffff810e0e5b>] shrink_page_list+0x2d8/0x457
 [<ffffffff811151e6>] ? mem_cgroup_del_lru_list+0x83/0x92
 [<ffffffff8111525e>] ? mem_cgroup_del_lru+0x39/0x3b
 [<ffffffff810e07b4>] ? isolate_pages_global+0xca/0x22a
 [<ffffffff8101268e>] ? common_interrupt+0xe/0x13
 [<ffffffff810e139a>] shrink_inactive_list+0x3c0/0x692
 [<ffffffff8123079c>] ? __bitmap_weight+0x40/0x8f
 [<ffffffff81226782>] ? cpumask_next_and+0x2c/0x39
 [<ffffffff810dd4a2>] ? determine_dirtyable_memory+0x1a/0x2d
 [<ffffffff810dd52b>] ? get_dirty_limits+0x27/0x252
 [<ffffffff810e19c3>] shrink_list+0xb7/0xc3
 [<ffffffff810e1c85>] shrink_zone+0x2b6/0x357
 [<ffffffff810e25b5>] balance_pgdat+0x3a3/0x5a0
 [<ffffffff810e06ea>] ? isolate_pages_global+0x0/0x22a
 [<ffffffff810e28dc>] kswapd+0x12a/0x12c
 [<ffffffff8107488b>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff810e27b2>] ? kswapd+0x0/0x12c
 [<ffffffff8107459e>] kthread+0x7f/0x87
 [<ffffffff81012d6a>] child_rip+0xa/0x20
 [<ffffffff8107451f>] ? kthread+0x0/0x87
 [<ffffffff81012d60>] ? child_rip+0x0/0x20

The kswapd blocks are extremely painful, as they freeze all the applications on my desktop.  Even the mouse cursor won't move.  I issued a 'swapoff -a' to workaround that problem.   Now it is just individual applications freezing...   The applications which freeze seem to be random.  Console windows, firefox, thunderbird, konversation, ...

Bill
Comment 4 Bill C. Riemers 2010-06-16 16:41:31 EDT
BTW.  I see on the ubuntu list a patch kernel patch that resolved this problem for some people, but not everyone...
Comment 5 Bill C. Riemers 2010-06-16 16:43:19 EDT
I forgot to mention I am an running x86_64 kernel.

[docbill@hartnell ~]$ uname -a
Linux hartnell.local 2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 6 Bill C. Riemers 2010-06-16 16:46:12 EDT
*** Bug 598151 has been marked as a duplicate of this bug. ***
Comment 7 Torbjørn Lindahl 2010-06-28 05:24:54 EDT
Created attachment 427362 [details]
dmesg from last kernel crash
Comment 8 Torbjørn Lindahl 2010-06-28 05:25:30 EDT
(In reply to comment #7)
> Created an attachment (id=427362) [details]
> dmesg from last kernel crash    

The exact same thing happens to me too.. and always when I write big files to an nfs share

Im running x86_64 Fedora 13, with:
02:00.0 Ethernet controller: Atheros Communications AR8121/AR8113/AR8114 Gigabit or Fast Ethernet (rev b0)

I have the proprietary nvidia driver loaded when this happens.

$ uname -r
2.6.33.5-124.fc13.x86_64

dmesg of last crash attached above.
Comment 9 devjoe 2010-08-09 01:11:04 EDT
I have experienced this on FC-13, also using an NFS share. x86_64 also.
This was on kernel 2.6.33.6-147.fc13.x86_64 though I have since updated to 2.6.33.6-147.2.4.fc13.x86_64

Different hardware than above poster, though:
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
Though I have the Atheros, at the time of the lockup the wired connection via the Realtek was in use.

Messages:

INFO: task events/0:9 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
events/0      D ffff8800aa39d728     0     9      2 0x00000000
ffff8800ac705ca0 0000000000000046 00000000000157c0 ffffffff8100a66e
ffff8800ac705cb0 ffff8800aad0da98 0000000000000000 ffff8800ac705fd8
ffff8800ac705fd8 000000000000f9b0 00000000000157c0 ffff8800ac6d6108
Call Trace:
[<ffffffff8100a66e>] ? call_function_single_interrupt+0xe/0x20
[<ffffffff81064431>] ? prepare_to_wait+0x67/0x74
[<ffffffffa005cde1>] ttm_bo_wait_unreserved+0x107/0x123 [ttm]
[<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
[<ffffffffa005ce6b>] ttm_bo_reserve_locked+0x6e/0xd7 [ttm]
[<ffffffffa005d810>] ttm_bo_cleanup_refs+0xd6/0x224 [ttm]
[<ffffffffa005c9bd>] ? ttm_bo_release_list+0x0/0xc7 [ttm]
[<ffffffffa005d9ee>] ttm_bo_delayed_delete+0x90/0xfb [ttm]
[<ffffffffa005da73>] ttm_bo_delayed_workqueue+0x1a/0x30 [ttm]
[<ffffffff810606e9>] worker_thread+0x1a4/0x232
[<ffffffffa005da59>] ? ttm_bo_delayed_workqueue+0x0/0x30 [ttm]
[<ffffffff810641bf>] ? autoremove_wake_function+0x0/0x34
[<ffffffff81060545>] ? worker_thread+0x0/0x232
[<ffffffff81063d6f>] kthread+0x7a/0x82
[<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
[<ffffffff81063cf5>] ? kthread+0x0/0x82
[<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task gnome-terminal:2522 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
gnome-termina D ffff880001e957c0     0  2522      1 0x00000080
ffff88008abc3918 0000000000000082 ffff8800abc46800 ffff88008abc2000
ffff8800919ab590 ffff88008abc3fd8 000000008abc38c8 ffff88008abc3fd8
ffff88008abc3fd8 000000000000f9b0 00000000000157c0 ffff8800919ab268
Call Trace:
[<ffffffff8103a63d>] ? update_curr+0xbf/0x168
[<ffffffff81428e01>] schedule_timeout+0x31/0xde
[<ffffffff810086ff>] ? __switch_to+0x215/0x227
[<ffffffff81428c93>] wait_for_common+0xd1/0x12c
[<ffffffff81045f1e>] ? default_wake_function+0x0/0xf
[<ffffffff81428d78>] wait_for_completion+0x18/0x1a
[<ffffffff81060e92>] flush_work+0x8c/0xa0
[<ffffffff81060a27>] ? wq_barrier_func+0x0/0xf
[<ffffffff81061038>] flush_delayed_work+0x50/0x54
[<ffffffff81284d15>] tty_flush_to_ldisc+0x10/0x12
[<ffffffff81280976>] n_tty_poll+0x65/0x14e
[<ffffffff8127cdab>] tty_poll+0x5e/0x78
[<ffffffff8110f4ba>] do_sys_poll+0x241/0x3e2
[<ffffffff8110f107>] ? __pollwait+0x0/0xc7
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff811c6ea3>] ? selinux_file_permission+0xa2/0xae
[<ffffffff811bda9f>] ? security_file_permission+0x11/0x13
[<ffffffff8110f7ef>] sys_poll+0x50/0xbb
[<ffffffff81009b02>] system_call_fastpath+0x16/0x1b

... a few more of these, eventually Xorg is blocked and everything locks up:

INFO: task Xorg:1811 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xorg          D 0000000000000000     0  1811   1808 0x00400084
ffff8800aad0d7e8 0000000000000082 0000000000000000 0000000200000000
ffff8800aad0d8f0 0000000000000008 00000000000157c0 ffff8800aad0dfd8
ffff8800aad0dfd8 000000000000f9b0 00000000000157c0 ffff8800aa8703c8
Call Trace:
[<ffffffff81428e01>] schedule_timeout+0x31/0xde
[<ffffffff810086ff>] ? __switch_to+0x215/0x227
[<ffffffff81428c93>] wait_for_common+0xd1/0x12c
[<ffffffff81045f1e>] ? default_wake_function+0x0/0xf
[<ffffffff81428d78>] wait_for_completion+0x18/0x1a
[<ffffffff81060e92>] flush_work+0x8c/0xa0
[<ffffffff81060a27>] ? wq_barrier_func+0x0/0xf
[<ffffffff81061038>] flush_delayed_work+0x50/0x54
[<ffffffff81284d15>] tty_flush_to_ldisc+0x10/0x12
[<ffffffff81280976>] n_tty_poll+0x65/0x14e
[<ffffffff8127cdab>] tty_poll+0x5e/0x78
[<ffffffff8110eef8>] do_select+0x335/0x544
[<ffffffff8110f107>] ? __pollwait+0x0/0xc7
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110f1ce>] ? pollwake+0x0/0x4f
[<ffffffff8110fa16>] core_sys_select+0x16f/0x205
[<ffffffff8100ff25>] ? read_tsc+0x9/0x1b
[<ffffffff8106bbd4>] ? ktime_get_ts+0xad/0xba
[<ffffffff8110fce6>] sys_select+0x91/0xbb
[<ffffffff81009b02>] system_call_fastpath+0x16/0x1b
Comment 10 Bug Zapper 2010-11-03 10:56:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-03 09:44:20 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Derek Atkins 2011-04-07 09:08:38 EDT
Hi,
Many people have reported this in Fedora 13, too, which is NOT EOLed.  See Comment #8 and Comment #9

I'm seeing this as well on Fedora 13, running 2.6.34.8-68.fc13.x86_64

INFO: task kjournald:1366 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
kjournald     D 0000000000000000     0  1366      2 0x00000000
 ffff88043c589c00 0000000000000046 ffff880002017fa0 0000000000000020
 ffff88043c589fd8 ffff88043d342ee0 00000000000153c0 ffff88043c589fd8
 00000000000153c0 00000000000153c0 00000000000153c0 00000000000153c0
Call Trace:
 [<ffffffff8112f767>] ? sync_buffer+0x0/0x44
 [<ffffffff8144be26>] io_schedule+0x73/0xb5
 [<ffffffff8112f7a7>] sync_buffer+0x40/0x44
 [<ffffffff8144c3b7>] __wait_on_bit+0x48/0x7b
 [<ffffffff8144c458>] out_of_line_wait_on_bit+0x6e/0x79
 [<ffffffff8112f767>] ? sync_buffer+0x0/0x44
 [<ffffffff81066298>] ? wake_bit_function+0x0/0x33
 [<ffffffff8112f6ca>] __wait_on_buffer+0x24/0x26
 [<ffffffff811ab4ab>] wait_on_buffer+0x3d/0x41
 [<ffffffff811abafe>] journal_commit_transaction+0x57c/0xfe2
 [<ffffffff810597f7>] ? lock_timer_base+0x2c/0x52
 [<ffffffff81059898>] ? try_to_del_timer_sync+0x7b/0x89
 [<ffffffff811af175>] kjournald+0xe8/0x225
 [<ffffffff8106625f>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff811af08d>] ? kjournald+0x0/0x225
 [<ffffffff81065de5>] kthread+0x7f/0x87
 [<ffffffff8100aa64>] kernel_thread_helper+0x4/0x10
 [<ffffffff81065d66>] ? kthread+0x0/0x87
 [<ffffffff8100aa60>] ? kernel_thread_helper+0x0/0x10

Any chance to reopen this bug and update to FC13?

Note You need to log in before you can comment on or make changes to this bug.